更新时间:2022-03-31 GMT+08:00
分享

API版本选择建议

弹性负载均衡器所提供的API分为v2.0/v2/v3版本。

v2.0和v2接口适用于共享型负载均衡器,其中主版本为v2.0,v2主要适用于开通企业项目的用户为负载均衡器分配企业项目,进行细粒度授权。

整体API及对应功能列表详见API概览。为了满足用户对接OpenStack社区开源工具的诉求,我们v2.0的部分API兼容OpenStack API v2,两者功能相近,风格略有差异。

v3接口适用于独享型负载均衡器,独享型负载均衡实例性能独享,资源隔离,实例的性能不受其它实例的影响,您可根据业务需要选择不同规格的实例。具有高性能、高可用、超安全、多协议支持以及更灵活的分发策略定制等优势。同时也支持企业项目功能。

各个版本API选择建议如下:

  • 如果您开发工具对于OpenStack兼容性有要求,建议选择ELB API v2.0相关接口。
  • 如果您使用VPC、ECS的Openstack API创建了vpc和ecs的资源,建议和ELB API v2.0配套一起使用。
  • 如果您开通了企业项目功能,建议选择ELB API v2相关接口。
  • 如果您需要更高的性能支持或更加灵活的负载均衡策略定制,则建议选择ELB APIv3相关接口。
分享:

    相关文档

    相关产品

close